| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxWebViewHistoryItem Class Reference
WebView

`#include <wx/webview.h>`

## Detailed Description

A simple class that contains the URL and title of an element of the history of a wxWebView.

Since
  2.9.3

  ##

Library: wxWebView
Category: WebView

See Also
  wxWebView

## Public Member Functions

| wxWebViewHistoryItem (const wxString &url, const wxString &title)
| Construtor.
wxString | GetUrl ()
wxString | GetTitle ()

## Constructor & Destructor Documentation

wxWebViewHistoryItem::wxWebViewHistoryItem | ( | const wxString & | url,
|  | const wxString & | title
| ) |  |

Construtor.

## Member Function Documentation

wxString wxWebViewHistoryItem::GetTitle | ( |  | ) |

Returns
  The title of the page.

wxString wxWebViewHistoryItem::GetUrl | ( |  | ) |

Returns
  The url of the page.